VkComputePipelineCreateInfo Struct Reference

`#include <vulkan.h>`

Collaboration diagram for VkComputePipelineCreateInfo:
[legend]

## Data Fields

VkStructureType | sType
const void * | pNext
VkPipelineCreateFlags | flags
VkPipelineShaderStageCreateInfo | stage
VkPipelineLayout | layout
VkPipeline | basePipelineHandle
int32_t | basePipelineIndex

## Detailed Description

Definition at line 2119 of file vulkan.h.

## Field Documentation

## basePipelineHandle

VkPipeline VkComputePipelineCreateInfo::basePipelineHandle

Definition at line 2125 of file vulkan.h.

## basePipelineIndex

int32_t VkComputePipelineCreateInfo::basePipelineIndex

Definition at line 2126 of file vulkan.h.

## flags

VkPipelineCreateFlags VkComputePipelineCreateInfo::flags

Definition at line 2122 of file vulkan.h.

## layout

VkPipelineLayout VkComputePipelineCreateInfo::layout

Definition at line 2124 of file vulkan.h.

## pNext

const void* VkComputePipelineCreateInfo::pNext

Definition at line 2121 of file vulkan.h.

## stage

VkPipelineShaderStageCreateInfo VkComputePipelineCreateInfo::stage

Definition at line 2123 of file vulkan.h.

## sType

VkStructureType VkComputePipelineCreateInfo::sType

Definition at line 2120 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h